<template>
  <Menu
    :items="navigation"
    :is-vertical="isVertical"
  />
</template>

<script>
import Menu from '../../components/menu/Menu';

export default {
  name: 'MenuContainer',
  components: { Menu },
  props: {
    isVertical: Boolean,
  },
  computed: {
    navigation() {
      return this.$store.getters['common/navigation'].map((item) => ({
        ...item,
        label: this.$t(`header.${item.key}`),
        route: {
          hash: item.key,
        },
      }));
    },
  },
};
</script>
